package com.bank;

import junit.framework.TestCase;

public class AccountServiceTest extends TestCase
{
    private AccountService _accountService;

    protected void setUp() throws Exception
    {
        _accountService = new AccountService();

        _accountService.setAccountDao(new AccountDao()
        {
            public Account getAccount(int id)
            {
                Account account = new Account();
                account.setId(1);
                account.setBalance(5000);
                return account;
            }
        });
    }

    public void testGetAccount()
    {
        Account account = _accountService.getAccount(1);
        assertEquals(1, account.getId());
        assertEquals(5000, account.getBalance());
    }
}
