package com.bank;

public class Account
{
    private int _id;
    private int _balance;

    public int getId()
    {
        return _id;
    }

    public void setId(int id)
    {
        _id = id;
    }

    public int getBalance()
    {
        return _balance;
    }

    public void setBalance(int balance)
    {
        _balance = balance;
    }

    public void withdraw(int amount)
    {
        if (_balance < amount)
        {
            throw new InsufficientBalanceException();
        }

        _balance -= amount;
    }

    public void deposit(int amount)
    {
        _balance += amount;
    }

    public String validate()
    {
        String error = null;

        if (_balance < 1000)
        {
            error = "balance is under minimum required amount";    
        }

        return error;
    }
}
